Package org.apache.avro.idl

# Class IdlParser.IdentifierContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.avro.idl.IdlParser.IdentifierContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`

Enclosing class:
  `IdlParser`

public static class IdlParser.IdentifierContext extends org.antlr.v4.runtime.ParserRuleContext

## Field Summary

Fields
Modifier and Type
Field
Description
`org.antlr.v4.runtime.Token`
`word`

### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

`children, EMPTY, exception, start, stop`

### Fields inherited from class org.antlr.v4.runtime.RuleContext

`invokingState, parent`

## Constructor Summary

Constructors
Constructor
Description
`IdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`

## Method Summary

Modifier and Type
Method
Description
`org.antlr.v4.runtime.tree.TerminalNode`
`Array()`
`org.antlr.v4.runtime.tree.TerminalNode`
`BFalse()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Boolean()`
`org.antlr.v4.runtime.tree.TerminalNode`
`BTrue()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Bytes()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Date()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Decimal()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Double()`
`void`
`enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Enum()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Error()`
`void`
`exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)`
`org.antlr.v4.runtime.tree.TerminalNode`
`Fixed()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Float()`
`int`
`getRuleIndex()`
`org.antlr.v4.runtime.tree.TerminalNode`
`IdentifierToken()`
`org.antlr.v4.runtime.tree.TerminalNode`
`IDL()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Import()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Int()`
`org.antlr.v4.runtime.tree.TerminalNode`
`LocalTimestamp()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Long()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Map()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Namespace()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Null()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Oneway()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Protocol()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Record()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Schema()`
`org.antlr.v4.runtime.tree.TerminalNode`
`String()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Throws()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Time()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Timestamp()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Union()`
`org.antlr.v4.runtime.tree.TerminalNode`
`UUID()`
`org.antlr.v4.runtime.tree.TerminalNode`
`Void()`

### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

`addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

### Methods inherited from class org.antlr.v4.runtime.RuleContext

`accept, depth, getAltNumber, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### word

public org.antlr.v4.runtime.Token word

## Constructor Details

### IdentifierContext

public IdentifierContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

## Method Details

### IdentifierToken

public org.antlr.v4.runtime.tree.TerminalNode IdentifierToken()

### Protocol

public org.antlr.v4.runtime.tree.TerminalNode Protocol()

### Namespace

public org.antlr.v4.runtime.tree.TerminalNode Namespace()

### Import

public org.antlr.v4.runtime.tree.TerminalNode Import()

### IDL

public org.antlr.v4.runtime.tree.TerminalNode IDL()

### Schema

public org.antlr.v4.runtime.tree.TerminalNode Schema()

### Enum

public org.antlr.v4.runtime.tree.TerminalNode Enum()

### Fixed

public org.antlr.v4.runtime.tree.TerminalNode Fixed()

### Error

public org.antlr.v4.runtime.tree.TerminalNode Error()

### Record

public org.antlr.v4.runtime.tree.TerminalNode Record()

### Array

public org.antlr.v4.runtime.tree.TerminalNode Array()

### Map

public org.antlr.v4.runtime.tree.TerminalNode Map()

### Union

public org.antlr.v4.runtime.tree.TerminalNode Union()

### Boolean

public org.antlr.v4.runtime.tree.TerminalNode Boolean()

### Int

public org.antlr.v4.runtime.tree.TerminalNode Int()

### Long

public org.antlr.v4.runtime.tree.TerminalNode Long()

### Float

public org.antlr.v4.runtime.tree.TerminalNode Float()

### Double

public org.antlr.v4.runtime.tree.TerminalNode Double()

### String

public org.antlr.v4.runtime.tree.TerminalNode String()

### Bytes

public org.antlr.v4.runtime.tree.TerminalNode Bytes()

### Null

public org.antlr.v4.runtime.tree.TerminalNode Null()

### BTrue

public org.antlr.v4.runtime.tree.TerminalNode BTrue()

### BFalse

public org.antlr.v4.runtime.tree.TerminalNode BFalse()

### Decimal

public org.antlr.v4.runtime.tree.TerminalNode Decimal()

### Date

public org.antlr.v4.runtime.tree.TerminalNode Date()

### Time

public org.antlr.v4.runtime.tree.TerminalNode Time()

### Timestamp

public org.antlr.v4.runtime.tree.TerminalNode Timestamp()

### LocalTimestamp

public org.antlr.v4.runtime.tree.TerminalNode LocalTimestamp()

### UUID

public org.antlr.v4.runtime.tree.TerminalNode UUID()

### Void

public org.antlr.v4.runtime.tree.TerminalNode Void()

### Oneway

public org.antlr.v4.runtime.tree.TerminalNode Oneway()

### Throws

public org.antlr.v4.runtime.tree.TerminalNode Throws()

### getRuleIndex

public int getRuleIndex()

Overrides:
  `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

### enterRule

public void enterRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `enterRule` in class `org.antlr.v4.runtime.ParserRuleContext`

### exitRule

public void exitRule(org.antlr.v4.runtime.tree.ParseTreeListener listener)

Overrides:
  `exitRule` in class `org.antlr.v4.runtime.ParserRuleContext`